Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFPictureData

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xwpf.usermodel.XWPFPictureData

    public class XWPFPictureData

extends POIXMLDocumentPart

Author:
  Philipp Epp

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XWPFPictureData(PackagePart part, PackageRelationship rel)` Construct XWPFPictureData from a package part

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Long` | `getChecksum()`
`byte[]` | `getData()` Gets the picture data as a byte array.
`java.lang.String` | `getFileName()` Returns the file name of the image, eg image7.jpg .
`int` | `getPictureType()` Return an integer constant that specifies type of this picture
`int` | `hashCode()`
`java.lang.String` | `suggestFileExtension()` Suggests a file extension for this image.

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWPFPictureData

    public XWPFPictureData(PackagePart part,
                           PackageRelationship rel)

  Construct XWPFPictureData from a package part

  Parameters:
    `part` - the package part holding the drawing data,
    `rel` - the package relationship holding this drawing, the relationship type must be http://schemas.openxmlformats.org/officeDocument/2006/relationships/image

Method Detail

### getData

    public byte[] getData()

  Gets the picture data as a byte array.

  Note, that this call might be expensive since all the picture data is copied into a temporary byte array. You can grab the picture data directly from the underlying package part as follows:
  `InputStream is = getPackagePart().getInputStream();`

  Returns:
    the Picture data.

### getFileName

    public java.lang.String getFileName()

  Returns the file name of the image, eg image7.jpg . The original filename isn't always available, but if it can be found it's likely to be in the CTDrawing

### suggestFileExtension

    public java.lang.String suggestFileExtension()

  Suggests a file extension for this image.

  Returns:
    the file extension.

### getPictureType

    public int getPictureType()

  Return an integer constant that specifies type of this picture

  Returns:
    an integer constant that specifies type of this picture
  See Also:
    `Document.PICTURE_TYPE_EMF`, `Document.PICTURE_TYPE_WMF`, `Document.PICTURE_TYPE_PICT`, `Document.PICTURE_TYPE_JPEG`, `Document.PICTURE_TYPE_PNG`, `Document.PICTURE_TYPE_DIB`

### getChecksum

    public java.lang.Long getChecksum()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD